gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A widget that displays an accelerator key on the right of the text.

The widget is a subclass of that also displays an accelerator key on the right of the label text. The widget is commonly used in menus to show the keyboard shortcuts for commands.

The accelerator key to display is not set explicitly instead, the displays the accelerators which have been added to a particular widget. This widget is set by calling .

Gtk.Label Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Boolean Recreates the string representing the accelerator keys. Default, since the strings are updated this is not needed

  Recreates the string representing the accelerator keys. This should not be needed since the string is automatically updated whenever accelerators are added or removed from the associated widget.

- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of AccelLabel, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates an accelerator label.
  The accelerator label.
- Property
  System.UInt32 Returns the width needed to display the accelerator key(s). The width needed to display the accelerator key(s)

  Returns the width needed to display the accelerator key(s). This is used by menus to align all of the widgets, and shouldn't be needed by applications.

- Property
  System.IntPtr Sets the closure to be monitored by this accelerator label. A A

  Sets the closure to be monitored by this accelerator label. The closure must be connected to an accelerator group. See .

- Property
  Gtk.Widget Fetches the widget monitored by this acceleretaor label. The widget to be monitored The object monitored by the accelerator label, or

  Fetches the widget monitored by this acceleretaor label.

- Property
  GLib.GType The GLib Type assigned to this class. a Used internally.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.